wp-rocket-3-1-1140x600

WP Rocket 3.1: Optimizaciones de Analytics y javascript

La versión 3.1 ya se encuentra en órbita, lista para acoplarse a tu sitio web. Y, creéme, ¡no quisieras perderte ninguna de estas nuevas características!

Aloja Google Analytics localmente

A menos que seas un gran admirador del sentido de la “ironía”, debes estar cansado de que Google te pida a cada rato que “aproveche el almacenamiento en caché del navegador” para sus propios archivos de seguimiento de Analytics.

La presente captura es una muestra del típico mensaje que la herramienta online de Google https://developers.google.com/speed/pagespeed/insights/ arroja

La versión de WP ROcket 3.1 presenta un nuevo add-on de seguimiento de Google que, con un solo clic, se encargará de alojar esos archivos localmente. Esto significa que se aplicarán las reglas de expiración de datos correctas, y que el mensaje “Aproveche el almacenamiento en caché del navegador” se volverá un mero recuerdo.

Puedes activar esta función en: Add-ons > Google Tracking

Comprimir y unificar JavaScript en línea y los JavaScripts externos

Otro punto molesto de Google PageSpeed es el infame mensaje que te solicita eliminar el JavaScript que bloquea el renderizado (es decir, la visualización inmediata del texto de la página frente a imágenes, estilos y demás).

En la versión Rocket 3.1 se ha mejorado notablemente la función de Minify y Combine JS. Esto te permitirá deshacerte de los mensajes JS que alertan sobre el bloqueo de renderizado. Ahora, en el momento en que actives la función Combine JavaScript Files, WP-Rocket buscará y combinará todos los códigos JS en línea y todos los archivos JS externos, y los incluirá en un archivo JS combinado. Dado que éste se cargará al pie de la página web, ¡no más bloqueo de renderizado!

Puedes activarlo en: File Optimization > JavaScript Files > Minify, Combine

La optimización de WooCommerce obtiene fragmentos actualizados

Si ejecutas pruebas de velocidad para tu sitio, estarás acostumbrado a ver esta barra larga para:
? wc-ajax = get_refreshed_fragments

En WP Rocket 3.1, este requerimiento se ha optimizado para reducir el tiempo de carga considerablemente.

¿Cómo activar esta función? ¡Pues no tienes que mover un dedo para hacerlo! La nueva versión Rocket automáticamente hará este trabajo por defecto.

Compatibilidad para WPML y WooCommerce Multilingual

Como si todo esto fuese poco, se ha añadido una nueva e importante compatibilidad para WPML y WooCommerce Multilingual. A partir de ahora, cambiar de moneda es compatible con el almacenamiento en caché de Rocket para que los precios siempre se muestren correctamente.

Requerimientos

En WP Rocket 3.1 el requerimiento mínimo de la versión de WordPress necesaria ha sido incrementado de 4.2 a 4.7.  El requerimiento de PHP continúa siendo 5.4 o superior.

La version 3.1 también contiene numerosas correcciones de errores y mejoras. Puede leer todos los detalles aquí.

 

Comparte este post.